# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dynamo/record/version'

Gem::Specification.new do |s|
  s.name          = 'dynamo-record'
  s.version       = Dynamo::Record::VERSION
  s.summary       = 'Extensions to Aws::Record for working with DynamoDB.'
  s.homepage      = 'https://github.com/instructure/dynamo-record'
  s.license       = 'MIT'

  s.authors       = [
    'Davis McClellan',
    'Ryan Taylor',
    'Bryan Petty',
    'Michael Brewer-Davis',
    'Marc Phillips',
    'Augusto Callejas',
    'Frank Murphy'
  ]
  s.email = [
    'dmcclellan@instructure.com',
    'rtaylor@instructure.com',
    'bpetty@instructure.com',
    'mbd@instructure.com',
    'mphillips@instructure.com',
    'acallejas@instructure.com',
    'fmurphy@instructure.com'
  ]

  s.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  s.require_paths = ['lib']

  s.required_ruby_version = '>= 2.6'

  s.add_dependency 'activemodel', '>= 5.2', '< 6.2'
  s.add_dependency 'aws-record', '~> 2.0'
  s.add_dependency 'railties', '>= 5.2', '< 6.2'

  s.add_development_dependency 'activesupport', '>= 5.2', '< 6.2'
  s.add_development_dependency 'bundler', '~> 2.2'
  s.add_development_dependency 'byebug', '~> 11.0'
  s.add_development_dependency 'combustion', '~> 1.3'
  s.add_development_dependency 'rake', '~> 13.0'
  s.add_development_dependency 'rspec', '~> 3.6'
  s.add_development_dependency 'rubocop', '~> 1.8.1'
  s.add_development_dependency 'rubocop-rails', '~> 2.9.1'
  s.add_development_dependency 'simplecov', '~> 0.16'
  s.add_development_dependency 'webmock', '~> 3.3'
  s.add_development_dependency 'wwtd', '~> 1.3'
end
